#include <stdio.h>
#include "Kernel/h/emTypes.h"
#include "Kernel/h/kmdTypes.h"

void IOPutInt(d, w)
int d, w;
{
  if (w < 0) printf("%0*d", -w, d);
  else printf("%*d", w, d);
#ifdef BSD
  (void) fflush(stdout);
#endif
}

void IOPutString(s)
StringPtr s;
{
  printf("%.*s", s->sizeInBytes, (char *)&s->data[0]);
#ifdef BSD
  (void) fflush(stdout);
#endif
}

void IOPutReal(f)
int f;
{
   printf("%g", * (float *) &f);
}

void IOInit()
{
    DebugMsg(5, "FakeIO Init\n");
}
