/*  C O P Y R I G H T   N O T I C E :                                     */
/* Copyright 1986 Eric Jul and Norm Hutchinson.	 May not be used for any  */
/* purpose without written permission from the authors.			  */

/* Snapshot to print allocated data areas                                 */

#ifndef stdTypes
#include "Kernel/h/stdTypes.h"
#endif
#include "Kernel/h/kmdTypes.h"

displayAllocatedHunk(pc, num, mp)
unsigned int pc, num, mp;
{
  KMDPrint("Allocated from 0x%08.8x, size %5d, addr 0x%08.8x\n", pc, num, mp);
}

MallocDump()
{
  KMDPrint("Display of storage allocated by malloc\n");
  malloc_doall(displayAllocatedHunk);
}

void MallocInit()
{
  DebugMsg(6, "MallocInit\n");
  KMDSetSnap(MallocDump);
}
