#include "Kernel/h/emTypes.h"
#include "Kernel/h/builtins.h"

typedef struct Builtin {
  OID id;
  char *name;
} Builtin;

Builtin requiredBuiltins[] = {
#ifdef ORIGINAL
  OIDOfBuiltin(B_INSTCT,BOOLEANINDEX), "boolean",
  OIDOfBuiltin(B_INSTCT,CHARACTERINDEX), "character",
  OIDOfBuiltin(B_INSTCT,CONDITIONINDEX), "condition",
  OIDOfBuiltin(B_INSTCT,INTEGERINDEX), "integer",
  OIDOfBuiltin(B_INSTCT,NODEINDEX), "node",
  OIDOfBuiltin(B_INSTCT,REALINDEX), "real",
  OIDOfBuiltin(B_INSTCT,STRINGINDEX), "string",
  OIDOfBuiltin(B_INSTCT,TIMEINDEX), "time",
  OIDOfBuiltin(B_INSTCT,INSTREAMINDEX), "instream",
  OIDOfBuiltin(B_INSTCT,OUTSTREAMINDEX), "outstream",
#else
  OIDOfBuiltin(B_ITSCT ,ABSTRACTTYPEINDEX), "abstracttype",
  OIDOfBuiltin(B_ITSCT ,ANYINDEX), "any",
/*OIDOfBuiltin(B_INSTCT,ARRAYINDEX), "array", */
  OIDOfBuiltin(B_INSTCT,BOOLEANINDEX), "boolean",
  OIDOfBuiltin(B_INSTCT,CHARACTERINDEX), "character",
  OIDOfBuiltin(B_INSTCT,CONDITIONINDEX), "condition",
  OIDOfBuiltin(B_INSTCT,INTEGERINDEX), "integer",
  OIDOfBuiltin(B_ITSCT ,NILINDEX), "nil",
  OIDOfBuiltin(B_INSTCT,NODEINDEX), "node",
  OIDOfBuiltin(B_ITSCT ,SIGNATUREINDEX), "signature",
  OIDOfBuiltin(B_INSTCT,REALINDEX), "real",
  OIDOfBuiltin(B_INSTCT,STRINGINDEX), "string",
/*OIDOfBuiltin(B_INSTCT,VECTORINDEX), "vector", */
  OIDOfBuiltin(B_INSTCT,TIMEINDEX), "time",
  OIDOfBuiltin(B_INSTCT,NODELISTELEMENTINDEX), "nodelistelement",
  OIDOfBuiltin(B_INSTCT,NODELISTINDEX), "nodelist",
  OIDOfBuiltin(B_INSTCT,INSTREAMINDEX), "instream",
  OIDOfBuiltin(B_INSTCT,OUTSTREAMINDEX), "outstream",
/*OIDOfBuiltin(B_INSTCT,IMMUTABLEVECTORINDEX), "immutablevector", */
  OIDOfBuiltin(B_INSTCT,BITCHUNKINDEX), "bitchunk",
  OIDOfBuiltin(B_ITSCT, RISCINDEX), "risc",
  OIDOfBuiltin(B_ITSCT, HANDLERINDEX), "handler",
  OIDOfBuiltin(B_INSTCT,VECTOROFCHARINDEX), "vectorofchar",
  OIDOfBuiltin(B_INSTCT,BUFFERINDEX), "buffer",
#endif
  0, ""
};
